Subject: Re: [PATCH 0/2] Add a MTD driver for OpenPower PNOR flash

From: Cyril Bur <[email-masked]>
Date: Mon, 13 Apr 2015 14:22:44 +1000

On Wed, 2015-04-01 at 14:05 +0800, Jeremy Kerr wrote:
> Hi all,
> 
> This series implements a simple mtd device to allow access to the PNOR
> flash on OpenPower machines. The flash is accessed through firmware
> calls.
> 
> Patch 1/2 adds the Linux interface to these calls. Patch 2/2 adds a mtd
> driver that uses these calls.
> 
> Because there's two subsystems involved here, there are a couple of
> methods to merge this:
> 
>  1) The powerpc folks take 1/2, and the mtd folks take 2/2, to be
>     applied once 1/2 is available (Michael has created a topic branch for
>     this in the past, which can make things a little easier), or
> 
>  2) One of the maintainers takes both patches, once the other has acked
>     their patch. I'd suggest that it goes through the powerpc tree in
>     this case, as that will be less likely to conflict.
> 
Ping about this patchset. What do the MTD maintainers think?

Hi David,

Jeremy mentioned you might be interested in seeing these.

Thanks,

Cyril

> Either way, I'm happy.
> 
> Cheers,
> 
> 	
> Jeremy
> 
> ---
> Cyril Bur (2):
>       powerpc/powernv: Add interfaces for flash device access
>       drivers/mtd: add powernv flash MTD abstraction driver
>